package com.fdkankan.platform.agent.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.platform.agent.entity.Agent;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.platform.agent.request.RequestAgent;
import com.fdkankan.platform.agent.vo.AgentDetailTotalAmount;
import com.fdkankan.platform.agent.vo.AgentTotalAmountVo;
import com.fdkankan.platform.agent.vo.AgentVo;
import com.fdkankan.platform.agent.vo.ResponseAgentCamera;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 代理商表 服务类
 * </p>
 *
 * @author
 * @since 2021-12-23
 */
public interface IAgentService extends IService<Agent> {

    Agent getAgentById(String agentId);

    JSONObject login(RequestAgent requestAgent);

    Page<AgentVo> getPageList(RequestAgent param);

    String saveAgent(RequestAgent param);

    String deleteAgent(Long id);

    String updateAgentStatus(Long id, int status);

    Page<AgentVo> searchAgentList(RequestAgent param);

    AgentTotalAmountVo searchAgentListStatistics(RequestAgent param);

    Page<ResponseAgentCamera> searchAgentListDetail(RequestAgent param);

    AgentDetailTotalAmount searchAgentListDetailStatistics(RequestAgent param);

    String uploadFile(MultipartFile file)throws Exception;
}
